Bug 104110 - crashes immediately with a Python stack trace
crashes immediately with a Python stack trace
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-mouse (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-09 18:58 EDT by Ray Ward
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 12:51:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Ward 2003-09-09 18:58:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Kensington 2-button PS2 mouse worked fine as Microsoft 2-button during 
installation, but did not work right after reboot.  Wanted to change mouse 
configuration, ran redhat-config-mouse:

[root@localhost]# redhat-config-mouse
Traceback (most recent call last):
  File "/usr/share/redhat-config-mouse/redhat-config-mouse.py", line 5, in ? 
import mouse_gui
  File "/usr/share/redhat-config-mouse/mouse_gui.py", line 26, in ? import gtk
  File "/usr/src/build/147273-i386/install/usr/lib/python2.2/site-
packages/gtk/__init__.py, line 19, in ?
RuntimeError: could not open display

Line 5 is "import mouse_gui".  

Version-Release number of selected component (if applicable):
redhat-config-mouse-1.0.1-2

How reproducible:
Always

Steps to Reproduce:
1.log in as root
2.run redhat-config-mouse
3.
    

Additional info:
Comment 1 Brent Fox 2003-10-06 21:30:01 EDT
Were you running this from inside X Windows or not?
Comment 2 Ray Ward 2003-10-07 10:28:31 EDT
This was run from the command line, not from X.
Comment 3 Brent Fox 2003-10-07 12:51:40 EDT
Ok, that's what I thought.  This bug has been fixed in RHL 9 and beyond.  I
created a text mode interface so that if you start redhat-config-mouse from the
command line, it will bring up the text interface instead of the GUI version.

Note You need to log in before you can comment on or make changes to this bug.